package com.bonus.zlpt.bigscreen.domain.vo;

import lombok.Data;

import java.util.*;

@Data
public class TestVo {

    //企业类型
    private String companyName;

    private List<ColtdVo> coltdVo;

    private static Set<String> set = new TreeSet<>();

    static {
        set.add("自有");
        set.add("待租");
        set.add("在租");
    }

    public TestVo(){
        this.coltdVo = new ArrayList<>();
        for (String s : set) {
            ColtdVo coltdVo = new ColtdVo();
            coltdVo.setStatus(s);
            this.coltdVo.add(coltdVo);
        }
    }


    public void addColtdVo(ColtdVo coltdVo){

        this.coltdVo.add(coltdVo);
    }

}
